<?php

set_include_path(dirname(__FILE__).'/..:'.ini_get('include_path'));

require_once 'Net/EPP/Client.php';
require_once 'Net/EPP/StorageDB.php';
require_once 'Net/EPP/IT/Session.php';
require_once 'Net/EPP/IT/Contact.php';
require_once 'Net/EPP/IT/Domain.php';

$nic = new Net_EPP_Client();
$db = new Net_EPP_StorageDB($nic->EPPCfg->db);
$session = new Net_EPP_IT_Session($nic, $db);
$session->debug = LOG_DEBUG;
$domain = new Net_EPP_IT_Domain($nic, $db);
$domain->debug = LOG_DEBUG;

$stmt = $db->db->prepare("
  SELECT
    clTRType,
    clTRObject
  FROM
    tbl_transactions
  WHERE
    clTRType = 'delete-domain' OR
    clTRType = 'update-domain-restore'
  ORDER BY id");

if ( ! $stmt->execute()) {
  // an error occurred
  $e = $stmt->errorInfo();
  echo "{$e[0]}: unable to get data: {$e[2]}\n";
  exit;
}

// prepare table
$domains = array();
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
  if ($row['clTRType'] == 'delete-domain')
    $domains[$row['clTRObject']] = $row['clTRObject'];

  if ($row['clTRType'] == 'delete-domain-restore')
    if ( @isset($domains[$row['clTRObject']]))
      unset($domains[$row['clTRObject']]);
}


// verify domains
if (empty($domains)) {
  echo "nothing to do\n";
  exit;
}
echo "TODO:\n";
print_r($domains);


// send "hello"
if ( ! $session->hello()) {
  echo "Connection FAILED.\n";
  print_r( $session->result );
} else {
  echo "Greeting OK.\n";

  // perform login
  if ($session->login() === FALSE) {
    echo "Login FAILED (".$session->getError().").\n";
  } else {
    echo "Login OK.\n";

    // lookup domain
    foreach ($domains as $name)
      if ($domain->check($name) === FALSE)
        if ($domain->delete($name))
          echo "domain '".$name."' removed\n";
        else
          echo "domain '".$name."' could not be removed: ".$domain->getError()."\n";

    // logout
    if ($session->logout())
      echo "Logout OK.\n";
    else
      echo "Logout FAILED (".$session->getError().").\n";

    // print credit
    echo "Your credit: ".sprintf("%.2f", $session->showCredit())." EUR\n";
  }
}  
