#!/usr/bin/php
<?php

set_include_path(dirname(__FILE__).'/..:'.ini_get('include_path'));

require 'Net/EPP/WebInterface/UserInterface.php';

/**
 * Part of the web-based userinterface for the EPP IT-NIC class.
 *
 * PHP version 5.3
 *
 * LICENSE:
 *
 * Copyright (c) 2009-2017, Günther Mair <info@inet-services.it>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1) Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2) Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3) Neither the name of Günther Mair nor the names of its contributors may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * @author      Günther Mair <info@inet-services.it>
 * @license     http://opensource.org/licenses/bsd-license.php New BSD License
 *
 * $Id: daily-pollQueue_transferStatus.php 90 2010-10-26 16:51:02Z gunny $
 */

// only act on local CLI calls
if (isset($_SERVER['HTTP_HOST'])) {
  echo "This script may only be called from command line.";
  exit;
}

// verify parameters
if ($argc < 2) {
  echo "SYNTAX: " . $argv[0] . " FILENAME\n";
  exit(1);
}

// set and verify filename
$filename = $argv[1];
if ( ! is_readable($filename)) {
  echo "The file " . $filename . " is unreadable!\n";
  exit(2);
}

// read the domain names from the file specified on the command line
$domains = array();
$fh = fopen($filename, 'a+');
while ( ! feof($fh)) {
  $tmp = rtrim(fgets($fh));
  if ( ! empty($tmp)) $domains[] = $tmp;
}
fclose($fh);

// create new object
$ui = new Net_EPP_WebInterface_UserInterface();

// import data and print results
print_r($ui->importDomainsCLI(implode(" ", $domains)));
