<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1><strong>{t}nt_welcome{/t}</strong></h1>
      {if $error == ""}
      <p>{t}nt_description{/t}</p>
      {else}
      <pre class="error">{$error}</pre>
      {/if}
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // verify E.164 formatting (EPP specific)
      $('#voice,#fax').change(function(){
        var regexObj = /^\+[0-9]{1,3}\.[0-9]{4,14}(?:x.+)?$/;
        if ( ! regexObj.test($(this).val())) {
          $(this).val('');
          alert('{/literal}{t}nc_e164_error{/t}{literal}')
        }
      });

      // hide province text field
      $('#pc1').hide();

      // while switching from/to Italy show/hide province dropdown field
      $('#cc').change(function(){
        if ( $(this).val() == 'IT' ) {
          $('#pc1').hide();
          $('#pc2').show();
        } else {
          $('#pc1').show();
          $('#pc2').hide();
        }
      });

      // upon page initialization check the correct behaviour
      if ( $('#cc').val() == 'IT' ) {
        $('#pc1').hide();
        $('#pc2').show();
      } else {
        $('#pc1').show();
        $('#pc2').hide();
      }

      // auto-focus on the first important field
      $('#autofocus').focus();
    });
  </script>
  {/literal}

  <fieldset id="inputArea">
    <legend>{t}nc_legendName{/t}</legend>
    <span>
      <label for="handle">{t}nc_handleLabel{/t}</label>
      <input type="text" name="handle" value="{$smarty.post.handle}" tabindex="1" id="autofocus" maxlength="16" />
      <span class="hint">{t}nc_handleHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="name">{t}nc_nameLabel{/t}</label>
      <input type="text" name="name" value="{$smarty.post.name}" tabindex="2" maxlength="255" />
      <span class="hint">{t}nc_nameHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="street">{t}nc_streetLabel{/t}</label>
      <input type="text" name="street" value="{$smarty.post.street}" tabindex="3" maxlength="128" />
      <span class="hint">{t}nc_streetHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="street2">{t}nc_street2Label{/t}</label>
      <input type="text" name="street2" value="{$smarty.post.street2}" tabindex="" maxlength="128" />
      <span class="hint">{t}nc_street2Hint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="street3">{t}nc_street3Label{/t}</label>
      <input type="text" name="street3" value="{$smarty.post.street3}" tabindex="" maxlength="128" />
      <span class="hint">{t}nc_street3Hint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="city">{t}nc_cityLabel{/t}</label>
      <input type="text" name="city" value="{$smarty.post.city}" tabindex="4" maxlength="128" />
      <span class="hint">{t}nc_cityHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="countrycode">{t}nc_ccLabel{/t}</label>
      <select name="countrycode" tabindex="5" id="cc">
       {html_options values=$iso3166_1_ids output=$iso3166_1 selected=$smarty.post.countrycode}
      </select>
      <span class="hint">{t}nc_ccHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="province">{t}nc_pcLabel{/t}</label>
      <input type="text" name="provinceTxt" value="{$smarty.post.provinceTxt}" tabindex="6" maxlength="128" id="pc1" />
      <select name="province" tabindex="6" id="pc2">
       {html_options values=$iso3166_2it_ids output=$iso3166_2it selected=$smarty.post.province}
      </select>
      <span class="hint">{t}nc_pcHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="postalcode">{t}nc_zipLabel{/t}</label>
      <input type="text" name="postalcode" value="{$smarty.post.postalcode}" tabindex="7" maxlength="16" />
      <span class="hint">{t}nc_zipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="voice">{t}nc_voiceLabel{/t}</label>
      <input type="text" name="voice" value="{$smarty.post.voice}" tabindex="9" maxlength="64" id="voice" />
      <span class="hint">{t}nc_voiceHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="fax">{t}nc_faxLabel{/t}</label>
      <input type="text" name="fax" value="{$smarty.post.fax}" tabindex="" maxlength="64" id="fax" />
      <span class="hint">{t}nc_faxHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="email">{t}nc_emailLabel{/t}</label>
      <input type="text" name="email" value="{$smarty.post.email}" tabindex="10" maxlength="64" />
      <span class="hint">{t}nc_emailHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="consentforpublishing">{t}nc_privacyLabel{/t}</label>
      <select name="consentforpublishing" tabindex="">
        <option value="0"{if $smarty.post.consentforpublishing eq 0} selected{/if}>{t}nc_privacyOn{/t}</option>
        <option value="1"{if $smarty.post.consentforpublishing eq 1} selected{/if}>{t}nc_privacyOff{/t}</option>
      </select>
      <span class="hint">{t}nc_privacyHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="buttons"> </label>
      <input type="hidden" name="domain" value="{$domain}" maxlength="255" />
      <a href="javascript:submitForm('newTechContact')" class="button"><span>{t}nc_newTechContactButton{/t}</span></a>
    </span>
  </fieldset>
</div>
