<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1>{t}vc_welcome{/t}<strong>{$org}</strong></h1>
      {if $error == ""}
      <p>{t}vc_description{/t}</p>
      {else}
      <pre class="error">{$error}</pre>
      {/if}
      <!-- <a href="javascript:submitForm('homepage')" class="button"><span>{t}vc_homepageButton{/t}</span></a> -->
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // if ENTER was pressed on one of these fields start that action
      $('#viewDomain').keypress(function(e){
        if ( e.keyCode == 13 ) submitForm('viewDomain');
      });
      $('#newDomain').keypress(function(e){
        if ( e.keyCode == 13 ) submitForm('newDomain');
      });

      // verify E.164 formatting (EPP specific)
      $('#voice,#fax').change(function(){
        var regexObj = /^\+[0-9]{1,3}\.[0-9]{4,14}(?:x.+)?$/;
        if ( ! regexObj.test($(this).val())) {
          $(this).val('');
          alert('{/literal}{t}nc_e164_error{/t}{literal}')
        }
      });

      // hide province text field
      $('#pc1').hide();

      // while switching from/to Italy show/hide province dropdown field
      $('#cc').change(function(){
        if ( $(this).val() == 'IT' ) {
          $('#pc1').hide();
          $('#pc2').show();
        } else {
          $('#pc1').show();
          $('#pc2').hide();
        }
      });

      // upon page initialization check the correct behaviour
      if ( $('#cc').val() == 'IT' ) {
        $('#pc1').hide();
        $('#pc2').show();
      } else {
        $('#pc1').show();
        $('#pc2').hide();
      }

      // auto-focus on the first important field
      $('#newDomain').focus();
    });
  </script>
  {/literal}

  <ul class="cols clearfix">
    <li>
      <h2>{t}vc_viewDomainTitle{/t}</h2>
      <p>
        <select name="viewDomain" id="viewDomain" tabindex="2" >
          {foreach from=$domains item=domain}
          <option value="{$domain.domain}">{$domain.domain}</option>
          {foreachelse}
          <option value="">{t}vc_noDomains{/t}</option>
          {/foreach}
        </select>
      </p>
      <a href="{if $domains|@count gt 0}javascript:submitForm('viewDomain'){/if}" class="button"><span>{t}vc_viewDomainButton{/t}</span></a>
    </li>
    <li class="center">
      <h2>{t}vc_newDomainTitle{/t}</h2>
      <p>
         <input type="text" name="newDomain" id="newDomain" tabindex="1" maxlength="64" />
      </p>
      <a href="javascript:submitForm('newDomain')" class="button"><span>{t}vc_newDomainButton{/t}</span></a>
    </li>
    <li>
      <h2>{t}vc_restoreDomainTitle{/t}</h2>
      <p>
         <input type="text" name="restoreDomain" id="restoreDomain" tabindex="1" maxlength="64" />
      </p>
      <a href="javascript:submitForm('restoreDomain')" class="button"><span>{t}vc_restoreDomainButton{/t}</span></a>
      <!--
      <h2>{t}hp_helpTitle{/t}</h2>
      <p>{t}hp_helpDescription{/t}</p>
      <a href="./?p=help" class="more">{t}hp_helpButton{/t}</a>
      //-->
    </li>
  </ul>
    
  <fieldset id="inputArea">
    <legend>{t}vc_legendName{/t}</legend>
    <span>
      <label for="handleDisplay">{t}vc_handleLabel{/t}</label>
      <input type="text" name="handleDisplay" value="{$handle}" tabindex="" maxlength="16" disabled="disabled" />
      <input type="hidden" name="handle" value="{$handle}" />
      <span class="hint">{t}nc_handleHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="name">{t}nc_nameLabel{/t}</label>
      <input type="text" name="name" value="{$name}" tabindex="" maxlength="255" />
      <span class="hint">{t}nc_nameHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="org">{t}vc_orgLabel{/t}</label>
      <input type="text" name="orgDisplay" value="{$org}" tabindex="" maxlength="255" disabled="disabled" />
      <input type="hidden" name="org" value="{$org}" />
      <span class="hint">{t}nc_orgHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="street">{t}nc_streetLabel{/t}</label>
      <input type="text" name="street" value="{$street}" tabindex="3" maxlength="128" />
      <span class="hint">{t}nc_streetHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="street2">{t}nc_street2Label{/t}</label>
      <input type="text" name="street2" value="{$street2}" tabindex="" maxlength="128" />
      <span class="hint">{t}nc_street2Hint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="street3">{t}nc_street3Label{/t}</label>
      <input type="text" name="street3" value="{$street3}" tabindex="" maxlength="128" />
      <span class="hint">{t}nc_street3Hint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="city">{t}nc_cityLabel{/t}</label>
      <input type="text" name="city" value="{$city}" tabindex="4" maxlength="128" />
      <span class="hint">{t}nc_cityHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="countrycode">{t}nc_ccLabel{/t}</label>
      <select name="countrycode" tabindex="5" id="cc">
       {html_options values=$iso3166_1_ids output=$iso3166_1 selected=$countrycode}
      </select>
      <span class="hint">{t}nc_ccHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="province">{t}nc_pcLabel{/t}</label>
      <input type="text" name="provinceTxt" value="{$province}" tabindex="6" maxlength="128" id="pc1" />
      <select name="province" tabindex="6" id="pc2">
       {html_options values=$iso3166_2it_ids output=$iso3166_2it selected=$province}
      </select>
      <span class="hint">{t}nc_pcHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="postalcode">{t}nc_zipLabel{/t}</label>
      <input type="text" name="postalcode" value="{$postalcode}" tabindex="7" maxlength="16" />
      <span class="hint">{t}nc_zipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="entitytype">{t}nc_entityLabel{/t}</label>
      <select name="entitytype" tabindex="">
        <option value="1"{if $entitytype eq 1} selected{/if}>italian and foreign natural persons</option>
        <option value="2"{if $entitytype eq 2} selected{/if}>companies/one man companies</option>
        <option value="3"{if $entitytype eq 3} selected{/if}>freelance workers/professionals</option>
        <option value="4"{if $entitytype eq 4} selected{/if}>non-profit organizations</option>
        <option value="5"{if $entitytype eq 5} selected{/if}>public organizations</option>
        <option value="6"{if $entitytype eq 6} selected{/if}>other subjects</option>
        <option value="7"{if $entitytype eq 7} selected{/if}>foreigners who match any of the above except the first</option>
      </select>
      <span class="hint">{t}nc_entityHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="regcode">{t}nc_regcodeLabel{/t}</label>
      <input type="text" name="regcode" value="{$regcode}" tabindex="8" />
      <span class="hint">{t}nc_regcodeHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="voice">{t}nc_voiceLabel{/t}</label>
      <input type="text" name="voice" value="{$voice}" tabindex="9" maxlength="64" id="voice" />
      <span class="hint">{t}nc_voiceHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="fax">{t}nc_faxLabel{/t}</label>
      <input type="text" name="fax" value="{$fax}" tabindex="" maxlength="64" id="fax" />
      <span class="hint">{t}nc_faxHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="email">{t}nc_emailLabel{/t}</label>
      <input type="text" name="email" value="{$email}" tabindex="11" maxlength="64" />
      <span class="hint">{t}nc_emailHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="nationalitycode">{t}nc_ncLabel{/t}</label>
      <select name="nationalitycode" tabindex="12">
       {html_options values=$iso3166_1_ids output=$iso3166_1 selected=$nationalitycode}
      </select>
      <span class="hint">{t}nc_ncHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    {* not to be used!
    <span>
      <label for="authinfo">{t}nc_authinfoLabel{/t}</label>
      <input type="text" name="authinfo" value="{$authinfo}" tabindex="" maxlength="32" />
      <span class="hint">{t}nc_authinfoHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    *}
    <span>
      <label for="schoolcode">{t}nc_schoolcodeLabel{/t}</label>
      <input type="text" name="schoolcode" value="{$schoolcode}" tabindex="13" />
      <span class="hint">{t}nc_schoolcodeHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="consentforpublishing">{t}nc_privacyLabel{/t}</label>
      <select name="consentforpublishing" tabindex="">
        <option value="0"{if $consentforpublishing eq 0} selected{/if}>{t}nc_privacyOn{/t}</option>
        <option value="1"{if $consentforpublishing eq 1} selected{/if}>{t}nc_privacyOff{/t}</option>
      </select>
      <span class="hint">{t}nc_privacyHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="buttons"> </label>
      <a href="javascript:submitFormConfirm('updateContact','{t}vc_updateConfirm{/t}')" class="button"><span>{t}vc_updateContactButton{/t}</span></a>
      {if $domains|@count eq 0}<a href="javascript:submitFormConfirm('deleteContact','{t}vc_deleteConfirm{/t}')" class="button"><span>{t}vc_deleteContactButton{/t}</span></a>{/if}
    </span>
  </fieldset>
</div>
