<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1>{t}vd_welcome{/t}<strong>{$domain}</strong></h1>
      {if $error == ""}
      <p>{t}vd_description{/t}</p>
      {else}
      <pre class="error">{$error}</pre>
      {/if}
      <a href="javascript:submitForm('viewContact')" class="button"><span>{t}vd_viewContactButton{/t}</span></a>
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // glue records exist only if the hostname is below the domain name to be registered
      function showGlueRecords(dns, span) {
        var domain = $('#domain').val();
        if (dns.slice(-1 * domain.length) == domain)
          $(span).show();
        else
          $(span).hide();
      }
      showGlueRecords($('#dns1').val(), '#dns1ipSpan');
      showGlueRecords($('#dns2').val(), '#dns2ipSpan');
      showGlueRecords($('#dns3').val(), '#dns3ipSpan');
      showGlueRecords($('#dns4').val(), '#dns4ipSpan');
      showGlueRecords($('#dns5').val(), '#dns5ipSpan');
      showGlueRecords($('#dns6').val(), '#dns6ipSpan');
      $('#dns1').change(function(){ showGlueRecords($(this).val(), '#dns1ipSpan'); });
      $('#dns2').change(function(){ showGlueRecords($(this).val(), '#dns2ipSpan'); });
      $('#dns3').change(function(){ showGlueRecords($(this).val(), '#dns3ipSpan'); });
      $('#dns4').change(function(){ showGlueRecords($(this).val(), '#dns4ipSpan'); });
      $('#dns5').change(function(){ showGlueRecords($(this).val(), '#dns5ipSpan'); });
      $('#dns6').change(function(){ showGlueRecords($(this).val(), '#dns6ipSpan'); });

      $('#clientDeleteProhibited').change(function(){
        if ( window.confirm('{/literal}{t}vd_changeStatusConfirm{/t}{literal}') )
          submitChangeState('clientDeleteProhibited',invert( $(this).val() ));
        else
          $(this).val(invert($(this).val()));
      });
      $('#clientUpdateProhibited').change(function(){
        if ( window.confirm('{/literal}{t}vd_changeStatusConfirm{/t}{literal}') )
          submitChangeState('clientUpdateProhibited',invert( $(this).val() ));
        else
          $(this).val(invert($(this).val()));
      });
      $('#clientTransferProhibited').change(function(){
        if ( window.confirm('{/literal}{t}vd_changeStatusConfirm{/t}{literal}') )
          submitChangeState('clientTransferProhibited',invert( $(this).val() ));
        else
          $(this).val(invert($(this).val()));
      });
      $('#clientHold').change(function(){
        if ( window.confirm('{/literal}{t}vd_changeStatusConfirm{/t}{literal}') )
          submitChangeState('clientHold',invert( $(this).val() ));
        else
          $(this).val(invert($(this).val()));
      });
      $('#clientLock').change(function(){
        $(this).val(invert($(this).val()));
      });

      // set date formation for deleteDate/reminderDate input field
      $('#deleteDate').datepicker({ dateFormat: 'yy-mm-dd' });
      $('#reminderDate').datepicker({ dateFormat: 'yy-mm-dd' });

      // initialy hide this element
      $('#deleteDateSpan').hide();

      // disable deleteDate input field in case the deleteDateAtExpiry is selected
      $('#deleteDateAtExpiry').change(function(){
        if ( $(this).val() == 2 )
          $('#deleteDateSpan').show();
        else
          $('#deleteDateSpan').hide();
      });

      // decide whether to hide DNSSEC elements
      var dnssec = {/literal}{$dnssec}{literal};
      var dnssec1keytag = '{/literal}{$dnssec1keytag}{literal}';
      var dnssec2keytag = '{/literal}{$dnssec2keytag}{literal}';
      if (dnssec == 0)
        $('#dnssecSpan').hide();
      if (dnssec1keytag.length == 0)
        $('#dnssec1Span').hide();
      if (dnssec2keytag.length == 0)
        $('#dnssec2Span').hide();
      $('#dnssec1').change(function(){
        if ( $(this).val() == 1 )
          $('#dnssec1Span').show();
        else
          $('#dnssec1Span').hide();
      });
      $('#dnssec2').change(function(){
        if ( $(this).val() == 1 )
          $('#dnssec2Span').show();
        else
          $('#dnssec2Span').hide();
      });

      // auto-focus on the first important field
      $('#autofocus').focus();
    });
  </script>
  {/literal}

 {if $type eq 'transfer-in'}

  <fieldset id="inputArea">
    <legend>{t}vd_pendingTransferIn{/t}</legend>
    <span>
      <label for="authinfoOld">{t}nd_authinfoOldLabel{/t}</label>
      <input type="text" name="authinfoOld" value="{$smarty.post.authinfoOld}" tabindex="2" id="autofocus" maxlength="32" />
      <span class="hint">{t}nd_authinfoOldHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="button">{t}vd_transferApprovingRegistrar{/t}{$acID}</label>
      <input type="hidden" id="domain" name="domain" value="{$domain}" maxlength="255" />
      <input type="hidden" name="handle" value="{$smarty.post.handle}" />
      <a href="javascript:submitForm('cancelTransfer')" class="button"><span>{t}vd_cancelTransferButton{/t}</span></a>
    </span>
  </fieldset>

 {else}

  {if $smarty.session.id == 1 && count($users) > 1}
  <fieldset id="inputArea">
    <legend>{t}vd_newUserName{/t}</legend>
    <span>
      <label for="newUser">{t}vd_newUserLabel{/t}</label>
      <select name="newUser" tabindex="">
        {foreach from=$users item=user}
        <option value="{$user.id}"{if $user.id == $userid} selected="selected"{/if}>{$user.id}:{$user.username} ({$user.description})</option>
        {/foreach}
      </select>
    </span>
    <span>
      <label for="button"> </label>
      <a href="javascript:submitFormConfirm('changeUser','{t}vd_changeUserConfirm{/t}')" class="button"><span>{t}vd_changeUserButton{/t}</span></a>
    </span>
  </fieldset>
  {/if}

  <fieldset id="inputArea">
    <legend>{t}vd_legendName{/t}</legend>
    <span>
      <label for="domain">{t}nd_nameLabel{/t}</label>
      <input type="text" name="domainDisplay" value="{$domain}" tabindex="" maxlength="255" disabled="disabled" />
      <input type="hidden" id="domain" name="domain" value="{$domain}" maxlength="255" />
      <span class="hint">{t}nd_nameHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    {if $domainPunycode ne ""}
    <span>
      <label for="domain">{t}nd_nameLabelPunycode{/t}</label>
      <input type="text" name="domainPunycodeDisplay" value="{$domainPunycode}" tabindex="" maxlength="255" disabled="disabled" />
      <span class="hint">{t}nd_nameHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    {/if}
    {foreach $status as $id => $state}
    <span>
      <label for="state{$id}">{t}nd_statusLabel{/t}</label>
      <input type="text" name="state{$id}" value="{$state}" tabindex="" maxlength="255" disabled="disabled" />
    </span>
    {/foreach}

    <br>

    <span>
      <label for="registrantDisplay">{t}nd_registrantLabel{/t}</label>
      <input type="text" name="registrantDisplay" value="{$registrant}" tabindex="" maxlength="16" disabled="disabled" />
      <input type="hidden" name="registrant" value="{$registrant}" />
      <span class="hint">{t}nd_registrantHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="admin">{if $registrant != $admin}<a href="javascript:viewAnyContact('{$admin}','{$domain}')">{t}nd_adminLabel{/t}</a>{else}{t}nd_adminLabel{/t}{/if}</label>
      <input type="text" name="admin" value="{$admin}" tabindex="1" maxlength="16" />
      <span class="hint">{t}nd_adminHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="authinfo">{t}nd_authinfoLabel{/t}</label>
      <input type="text" name="authinfo" value="{$authinfo}" tabindex="2" id="autofocus" maxlength="32" />
      <span class="hint">{t}nd_authinfoHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="techc1"><a href="javascript:viewAnyContact('{$techc1}','{$domain}')">{t}nd_techc1Label{/t}</a> (<a href="javascript:remTechContact('{$techc1}','{$domain}')">{t}nd_remtechcLabel{/t}</a>)</label>
      <input type="text" name="techc1" value="{$techc1}" tabindex="3" maxlength="16" />
      <span class="hint">{t}nd_techcHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="techc2">{if $techc2 ne ""}<a href="javascript:viewAnyContact('{$techc2}','{$domain}')">{t}nd_techc2Label{/t}</a> (<a href="javascript:remTechContact('{$techc2}','{$domain}')">{t}nd_remtechcLabel{/t}</a>){else}{t}nd_techc2Label{/t} (<a href="javascript:newTechContact('{$domain}')">{t}nd_newtechcLabel{/t}</a>){/if}</label>
      <input type="text" name="techc2" value="{$techc2}" tabindex="4" maxlength="16" />
      <span class="hint">{t}nd_techcHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <br>

    <span id="dnssecSpan">
     <span>
       <label for="dnssec1">{t}nd_dnssec1Label{/t}</label>
       <select name="dnssec1" id="dnssec1">
	<option value="0">{t}nd_dnssecDontShow{/t}</option>
	<option value="1"{if ! empty($dnssec1digest)} selected{/if}>{t}nd_dnssecShow{/t}</option>
       </select>
       <span class="hint">{t}nd_dnssecHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span id="dnssec1Span">
      <span>
       <label for="dnssec1keytag">{t}nd_dnssecKeytag{/t}</label>
       <input type="text" name="dnssec1keytag" id="dnssec1keytag" value="{$dnssec1keytag}" />
      </span>
      <span>
       <label for="dnssec1algorithm">{t}nd_dnssecAlgorithm{/t}</label>
       <select name="dnssec1algorithm" id="dnssec1algorithm">
	<option value="3"{if $dnssec1algorithm eq 3} selected{/if}>3 (DSA/SHA-1)</option>
	<option value="5"{if $dnssec1algorithm eq 5} selected{/if}>5 (RSA/SHA-1)</option>
	<option value="6"{if $dnssec1algorithm eq 6} selected{/if}>6 (DSA-NSEC3-SHA1)</option>
	<option value="7"{if $dnssec1algorithm eq 7} selected{/if}>7 (RSASHA1-NSEC3-SHA1)</option>
	<option value="8"{if $dnssec1algorithm eq 8} selected{/if}>8 (RSA/SHA-256)</option>
	<option value="10"{if $dnssec1algorithm eq 10} selected{/if}>10 (RSA/SHA-512)</option>
	<option value="12"{if $dnssec1algorithm eq 12} selected{/if}>12 (ECC-GOST)</option>
	<option value="13"{if $dnssec1algorithm eq 13} selected{/if}>13 (ECD-SAP-256 SHA-256)</option>
	<option value="14"{if $dnssec1algorithm eq 14} selected{/if}>14 (ECD-SAP-384 SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec1digesttype">{t}nd_dnssecDigesttype{/t}</label>
       <select name="dnssec1digesttype" id="dnssec1digesttype">
	<option value="1"{if $dnssec1digesttype eq 1} selected{/if}>1 (SHA-1)</option>
	<option value="2"{if $dnssec1digesttype eq 2} selected{/if}>2 (SHA-256)</option>
	<option value="3"{if $dnssec1digesttype eq 3} selected{/if}>3 (GOST R 34.11-94)</option>
	<option value="4"{if $dnssec1digesttype eq 4} selected{/if}>4 (SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec1digest">{t}nd_dnssecDigest{/t}</label>
       <input type="text" name="dnssec1digest" id="dnssec1digest" value="{$dnssec1digest}" />
      </span>
      <br>
     </span><!-- dnssec1Span -->

     <span>
       <label for="dnssec2">{t}nd_dnssec2Label{/t}</label>
       <select name="dnssec2" id="dnssec2">
	<option value="0">{t}nd_dnssecDontShow{/t}</option>
	<option value="1"{if ! empty($dnssec2digest)} selected{/if}>{t}nd_dnssecShow{/t}</option>
       </select>
       <span class="hint">{t}nd_dnssecHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span id="dnssec2Span">
      <span>
       <label for="dnssec2keytag">{t}nd_dnssecKeytag{/t}</label>
       <input type="text" name="dnssec2keytag" id="dnssec2keytag" value="{$dnssec2keytag}" />
      </span>
      <span>
       <label for="dnssec2algorithm">{t}nd_dnssecAlgorithm{/t}</label>
       <select name="dnssec2algorithm" id="dnssec2algorithm">
	<option value="3"{if $dnssec2algorithm eq 3} selected{/if}>3 (DSA/SHA-1)</option>
	<option value="5"{if $dnssec2algorithm eq 5} selected{/if}>5 (RSA/SHA-1)</option>
	<option value="6"{if $dnssec2algorithm eq 6} selected{/if}>6 (DSA-NSEC3-SHA1)</option>
	<option value="7"{if $dnssec2algorithm eq 7} selected{/if}>7 (RSASHA1-NSEC3-SHA1)</option>
	<option value="8"{if $dnssec2algorithm eq 8} selected{/if}>8 (RSA/SHA-256)</option>
	<option value="10"{if $dnssec2algorithm eq 10} selected{/if}>10 (RSA/SHA-512)</option>
	<option value="12"{if $dnssec2algorithm eq 12} selected{/if}>12 (ECC-GOST)</option>
	<option value="13"{if $dnssec2algorithm eq 13} selected{/if}>13 (ECD-SAP-256 SHA-256)</option>
	<option value="14"{if $dnssec2algorithm eq 14} selected{/if}>14 (ECD-SAP-384 SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec2digesttype">{t}nd_dnssecDigesttype{/t}</label>
       <select name="dnssec2digesttype" id="dnssec2digesttype">
	<option value="1"{if $dnssec2digesttype eq 1} selected{/if}>1 (SHA-1)</option>
	<option value="2"{if $dnssec2digesttype eq 2} selected{/if}>2 (SHA-256)</option>
	<option value="3"{if $dnssec2digesttype eq 3} selected{/if}>3 (GOST R 34.11-94)</option>
	<option value="4"{if $dnssec2digesttype eq 4} selected{/if}>4 (SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec2digest">{t}nd_dnssecDigest{/t}</label>
       <input type="text" name="dnssec2digest" id="dnssec2digest" value="{$dnssec2digest}" />
      </span>
     </span><!-- dnssec2Span -->
     <br>

    </span><!-- dnssecSpan -->

    <span>
      <label for="dns1">{t}nd_dns1Label{/t}</label>
      <input type="text" id="dns1" name="dns1" value="{$dns1}" tabindex="20" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns1ipSpan">
     <span>
      <label for="dns1ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns1ip" value="{$dns1ip}" tabindex="21" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns1ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns1ip2" value="{$dns1ip2}" tabindex="22" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns2">{t}nd_dns2Label{/t}</label>
      <input type="text" id="dns2" name="dns2" value="{$dns2}" tabindex="23" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns2ipSpan">
     <span>
      <label for="dns2ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns2ip" value="{$dns2ip}" tabindex="24" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns2ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns2ip2" value="{$dns2ip2}" tabindex="25" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns3">{t}nd_dns3Label{/t}</label>
      <input type="text" id="dns3" name="dns3" value="{$dns3}" tabindex="26" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns3ipSpan">
     <span>
      <label for="dns3ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns3ip" value="{$dns3ip}" tabindex="27" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns3ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns3ip2" value="{$dns3ip2}" tabindex="28" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns4">{t}nd_dns4Label{/t}</label>
      <input type="text" id="dns4" name="dns4" value="{$dns4}" tabindex="29" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns4ipSpan">
     <span>
      <label for="dns4ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns4ip" value="{$dns4ip}" tabindex="30" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns4ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns4ip2" value="{$dns4ip2}" tabindex="31" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns5">{t}nd_dns5Label{/t}</label>
      <input type="text" id="dns5" name="dns5" value="{$dns5}" tabindex="32" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns5ipSpan">
     <span>
      <label for="dns5ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns5ip" value="{$dns5ip}" tabindex="33" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns5ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns5ip2" value="{$dns5ip2}" tabindex="34" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns6">{t}nd_dns6Label{/t}</label>
      <input type="text" id="dns6" name="dns6" value="{$dns6}" tabindex="35" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns6ipSpan">
     <span>
      <label for="dns6ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns6ip" value="{$dns6ip}" tabindex="36" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns6ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns6ip2" value="{$dns6ip2}" tabindex="37" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <br>

    <span>
      <label for="crDate">{t}nd_crDateLabel{/t}</label>
      <input type="text" name="crDate" value="{$crDate}" tabindex="" maxlength="255" disabled="disabled" />
    </span>
    <span>
      <label for="exDate">{t}nd_exDateLabel{/t}</label>
      <input type="text" name="exDate" value="{$exDate}" tabindex="" maxlength="255" disabled="disabled" />
    </span>
    <span>
      <label for="button"> </label>
      <a href="javascript:submitFormConfirm('updateDomain','{t}vd_updateConfirm{/t}')" class="button"><span>{t}vd_updateDomainButton{/t}</span></a>
    </span>
  </fieldset>

  {if $allowDelete eq "1"}
  <fieldset id="inputArea">
    <legend>{t}vd_deleteDomain{/t}</legend>
    <span>
      <label for="deleteDateAtExpiry">{t}vd_domainDeleteDateAtExpiry{/t}</label>
      <select name="deleteDateAtExpiry" id="deleteDateAtExpiry">
       <option value="0">{t}vd_deleteNow{/t}</option>
       <option value="1">{t}vd_deleteAtExpiry{/t}</option>
       <option value="2">{t}vd_deleteDatePicker{/t}</option>
      </select>
    </span>
    <span id="deleteDateSpan">
      <label for="deleteDate">{t}vd_domainDeleteDate{/t}</label>
      <input type="text" name="deleteDate" id="deleteDate" value="{$deleteDate}" maxlength="16" />
      <input type="hidden" name="expiryDate" value="{$exDate}" />
    </span>
    <span>
      <label for="button"> </label>
      <a href="javascript:submitFormConfirm('deleteDomain','{t}vd_deleteConfirm{/t}')" class="button"><span>{t}vd_deleteDomainButton{/t}</span></a>
    </span>
  </fieldset>
  {/if}

  <fieldset id="inputArea">
    <legend>{t}vd_changeRegistrant{/t}</legend>
    <span>
      <label for="newRegistrant">{t}vd_newRegistrantLabel{/t}</label>
      <select name="newRegistrant" tabindex="13">
        {foreach from=$contacts item=contact}
        <option value="{$contact.handle}"{if $contact.handle == $registrant} selected="selected"{/if}>{$contact.org} ({$contact.handle})</option>
        {/foreach}
      </select>
    </span>
    <span>
      <label for="authinfo">{t}nd_authinfoLabel{/t}</label>
      <input type="text" name="newAuthinfo" value="{$newAuthinfo}" tabindex="14" maxlength="32" />
      <span class="hint">{t}nd_authinfoHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="button"> </label>
      <a href="javascript:submitFormConfirm('changeRegistrant','{t}vd_changeRegistrantConfirm{/t}')" class="button"><span>{t}vd_changeRegistrantButton{/t}</span></a>
    </span>
  </fieldset>

  {if $state eq "pendingTransfer"}
  <fieldset id="inputArea">
    <legend>{t}vd_pendingTransferOut{/t}</legend>
    <span>
      <label for="button">{t}vd_transferRequestingRegistrar{/t}{$reID}</label>
      <a href="javascript:submitFormConfirm('approveTransfer','{t}vd_approveTransferConfirm{/t}')" class="button"><span>{t}vd_approveTransferButton{/t}</span></a>
      <a href="javascript:submitFormConfirm('rejectTransfer','{t}vd_rejectTransferConfirm{/t}')" class="button"><span>{t}vd_rejectTransferButton{/t}</span></a>
    </span>
  </fieldset>
  {/if}

  <fieldset id="inputArea">
    <legend>{t}vd_domainStates{/t}</legend>
    <span>
      <label for="clientDeleteProhibited">clientDeleteProhibited</label>
      <select name="clientDeleteProhibited" id="clientDeleteProhibited">
       <option value="0">{t}vd_stateOff{/t}</option>
       <option value="1"{if $clientDeleteProhibited == 1} selected="selected"{/if}>{t}vd_stateOn{/t}</option>
      </select>
    </span>
    <span>
      <label for="clientUpdateProhibited">clientUpdateProhibited</label>
      <select name="clientUpdateProhibited" id="clientUpdateProhibited">
       <option value="0">{t}vd_stateOff{/t}</option>
       <option value="1"{if $clientUpdateProhibited == 1} selected="selected"{/if}>{t}vd_stateOn{/t}</option>
      </select>
    </span>
    <span>
      <label for="clientTransferProhibited">clientTransferProhibited</label>
      <select name="clientTransferProhibited" id="clientTransferProhibited">
       <option value="0">{t}vd_stateOff{/t}</option>
       <option value="1"{if $clientTransferProhibited == 1} selected="selected"{/if}>{t}vd_stateOn{/t}</option>
      </select>
    </span>
    <span>
      <label for="clientHold">clientHold</label>
      <select name="clientHold" id="clientHold">
       <option value="0">{t}vd_stateOff{/t}</option>
       <option value="1"{if $clientHold == 1} selected="selected"{/if}>{t}vd_stateOn{/t}</option>
      </select>
    </span>
    <span>
      <label for="clientLock">clientLock</label>
      <select name="clientLock" id="clientLock">
       <option value="0">{t}vd_stateOff{/t}</option>
       <option value="1"{if $clientHold == 1} selected="selected"{/if}>{t}vd_stateOn{/t}</option>
      </select>
    </span>
  </fieldset>

  <fieldset id="inputArea">
    <legend>{t}vd_domainReminder{/t}</legend>
    {if $reminders|@count gt 0}
    <span>
      <label for="domainReminderID">{t}vd_domainReminderList{/t}</label>
      <select name="domainReminderID" id="domainReminderID">
        {foreach from=$reminders item=reminder}
        <option value="{$reminder.id}">({$reminder.date}) {$reminder.notice}</option>
        {foreachelse}
        <option value="">{t}vd_noReminder{/t}</option>
        {/foreach}
      </select>
    </span>
    {/if}
    <span>
      <label for="reminderDate">{t}vd_domainReminderDate{/t}</label>
      <input type="text" name="reminderDate" id="reminderDate" value="{$reminderDate}" maxlength="16" />
    </span>
    <span>
      <label for="reminderNotice">{t}vd_domainReminderNotice{/t}</label>
      <input type="text" name="reminderNotice" value="{$reminderNotice}" maxlength="255" />
    </span>
    <span>
      <label for="reminderEmail">{t}vd_domainReminderEmail{/t}</label>
      <input type="text" name="reminderEmail" value="{$reminderEmail}" maxlength="64" />
    </span>
    <span>
      <label for="button"> </label>
      <a href="javascript:submitFormConfirm('addReminder','{t}vd_domainReminderAdd{/t}')" class="button"><span>{t}vd_domainReminderAddButton{/t}</span></a>
      {if $reminders|@count gt 0}
      <a href="javascript:submitFormConfirm('remReminder','{t}vd_domainReminderRemove{/t}')" class="button"><span>{t}vd_domainReminderRemoveButton{/t}</span></a>
      {/if}
    </span>
  </fieldset>

 {/if}
</div>
